#include "coord.h"
#include <simcli.h>
#define PI      3.14159265358979325e0
#define DEGRAD     (180.e0/PI)

#define SIMUSR "t023es"
#define SIMPWD "onedatabase"

int 	get_simbad( simbad_connection, targname, RA, DEC )
int	*simbad_connection;
char	*targname;
double	*RA;
double	*DEC;
{
	int	i,j,nbid;
	int	ndata;
	char	ra[16], dec[16];
	char	buffer[80];
	double  atof();
	struct 	COORD  c_in, c_out;


	if( *simbad_connection == -1 )
	{
	    printf(" \nconnecting to SIMBAD, please wait...\n");
	    *simbad_connection = simbad_connect("","",SIMUSR, SIMPWD );
	    if( *simbad_connection < 0 )
	    {
		    /* 
		     * No connection 
		     */
		    return ( -1 );
	    }
	}
	nbid = simbad_query( *simbad_connection, targname, "" );
	if( nbid >= 1 )
	{
		simbad_retrieve( *simbad_connection, 1 );
		ndata = simbad_findata( *simbad_connection, "J", "" );
		if( ndata >= 1 )
		{
			(void) strcpy( buffer, simbad_getdata( *simbad_connection, 1  ));
			sscanf( buffer, "%s %s", ra, dec );

			/* ------------------------------- Code
			   NOT WORKING UNDER LINUX
                        (void) check_coord(ra, c_in.clon, 80, 1);
			(void) check_coord(dec, c_in.clat, 80, 0);
			(void) strcpy(c_in.csys,"eq");
			c_in.epoch = 2000.0;
			(void) strcpy( c_out.csys, "equatorial" );
			c_out.epoch = 2000.0 ;
			(void) cconv( &c_in, &c_out );
			*RA = (c_out.lon ) / DEGRAD;
			*DEC =c_out.lat / DEGRAD;
			---------------------------------*/

			*RA = atof( ra ) / DEGRAD;
			*DEC = atof ( dec ) / DEGRAD;

		}
		else
		{
			/* 
			 * Coordinate not found in SIMBAD
			 */
			 return ( -2 );
		}
	}
	else
	{
		/* 
		 * Object not found in SIMBAD 
		 */
		 return ( -3 );
	}
	return ( 1 );
}
